Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Class PMO

    java.lang.Object
      com.ibm.mq.MQPutMessageOptions
          com.stc.connector.webspheremqadapter.message.PMO

All Implemented Interfaces:
  IPMO

    public class PMO

extends com.ibm.mq.MQPutMessageOptions
implements IPMO

This class subclasses `MQPutMessageOptions` to provide mutators to MQPutMessageOption's public fields, so that they can be manipulated in the eGate Java Collaboration Editor (which does not permit direct access to public fields). This class is exposed as part of the eWay OTD(s).

Version:
  $Revision: 1.4 $
See Also:
  `com.stc.connector.webspheremqadapter.message.MQOtd`

Field Summary

Fields inherited from class com.ibm.mq.MQPutMessageOptions
`contextReference, contextReferenceHandle, invalidDestCount, knownDestCount, options, recordFields, resolvedQueueManagerName, resolvedQueueName, unknownDestCount`

Constructor Summary
`PMO()` Create a PMO object with no options set.

Method Summary
`void` | `optionsClearAll()` Clear all option flags set so far and reset options to MQPMO_NONE.
`void` | `setMQPMO_DEFAULT_CONTEXT(boolean bSet)` Set or unset the MGC.MQPMO_DEFAULT_CONTEXT option.
`void` | `setMQPMO_FAIL_IF_QUIESCING(boolean bSet)` Set or unset the MGC.MQPMO_FAIL_IF_QUIESCING option.
`void` | `setMQPMO_LOGICAL_ORDER(boolean bSet)` Set or unset the MGC.MQPMO_LOGICAL_ORDER option.
`void` | `setMQPMO_NEW_CORREL_ID(boolean bSet)` Set or unset the MGC.MQPMO_NEW_CORREL_ID option.
`void` | `setMQPMO_NEW_MSG_ID(boolean bSet)` Set or unset the MGC.MQPMO_NEW_MSG_ID option.
`void` | `setMQPMO_NO_CONTEXT(boolean bSet)` Set or unset the MGC.MQPMO_NO_CONTEXT option.
`void` | `setMQPMO_NO_SYNCPOINT(boolean bSet)` Set or unset the MGC.MQPMO_SYNCPOINT option.
`void` | `setMQPMO_NONE(boolean bSet)` Set or unset the MGC.MQPMO_NONE option.
`void` | `setMQPMO_PASS_ALL_CONTEXT(boolean bSet)` Set or unset the MGC.MQPMO_PASS_ALL_CONTEXT option.
`void` | `setMQPMO_PASS_IDENTITY_CONTEXT(boolean bSet)` Set or unset the MGC.MQPMO_PASS_IDENTITY_CONTEXT option.
`void` | `setMQPMO_SET_ALL_CONTEXT(boolean bSet)` Set or unset the MGC.MQPMO_SET_ALL_CONTEXT option.
`void` | `setMQPMO_SET_IDENTITY_CONTEXT(boolean bSet)` Set or unset the MGC.MQPMO_SET_IDENTITY_CONTEXT option.
`void` | `setMQPMO_SYNCPOINT(boolean bSet)` Set or unset the MGC.MQPMO_SYNCPOINT option.

Methods inherited from class com.ibm.mq.MQPutMessageOptions
`readFrom, updateDistributionListItems, writeTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PMO

    public PMO()

  Create a PMO object with no options set.

  See Also:
    `MQPutMessageOptions.MQPutMessageOptions()`

Method Detail

### optionsClearAll

    public void optionsClearAll()

  Clear all option flags set so far and reset options to MQPMO_NONE.

  Specified by:
    `optionsClearAll` in interface `IPMO`
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_SYNCPOINT

    public void setMQPMO_SYNCPOINT(boolean bSet)

  Set or unset the MGC.MQPMO_SYNCPOINT option.

  Specified by:
    `setMQPMO_SYNCPOINT` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NO_SYNCPOINT

    public void setMQPMO_NO_SYNCPOINT(boolean bSet)

  Set or unset the MGC.MQPMO_SYNCPOINT option.

  Specified by:
    `setMQPMO_NO_SYNCPOINT` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NO_CONTEXT

    public void setMQPMO_NO_CONTEXT(boolean bSet)

  Set or unset the MGC.MQPMO_NO_CONTEXT option.

  Specified by:
    `setMQPMO_NO_CONTEXT` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_DEFAULT_CONTEXT

    public void setMQPMO_DEFAULT_CONTEXT(boolean bSet)

  Set or unset the MGC.MQPMO_DEFAULT_CONTEXT option.

  Specified by:
    `setMQPMO_DEFAULT_CONTEXT` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_SET_IDENTITY_CONTEXT

    public void setMQPMO_SET_IDENTITY_CONTEXT(boolean bSet)

  Set or unset the MGC.MQPMO_SET_IDENTITY_CONTEXT option.

  Specified by:
    `setMQPMO_SET_IDENTITY_CONTEXT` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_SET_ALL_CONTEXT

    public void setMQPMO_SET_ALL_CONTEXT(boolean bSet)

  Set or unset the MGC.MQPMO_SET_ALL_CONTEXT option.

  Specified by:
    `setMQPMO_SET_ALL_CONTEXT` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_FAIL_IF_QUIESCING

    public void setMQPMO_FAIL_IF_QUIESCING(boolean bSet)

  Set or unset the MGC.MQPMO_FAIL_IF_QUIESCING option.

  Specified by:
    `setMQPMO_FAIL_IF_QUIESCING` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NEW_MSG_ID

    public void setMQPMO_NEW_MSG_ID(boolean bSet)

  Set or unset the MGC.MQPMO_NEW_MSG_ID option.

  Specified by:
    `setMQPMO_NEW_MSG_ID` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NEW_CORREL_ID

    public void setMQPMO_NEW_CORREL_ID(boolean bSet)

  Set or unset the MGC.MQPMO_NEW_CORREL_ID option.

  Specified by:
    `setMQPMO_NEW_CORREL_ID` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_LOGICAL_ORDER

    public void setMQPMO_LOGICAL_ORDER(boolean bSet)

  Set or unset the MGC.MQPMO_LOGICAL_ORDER option.

  Specified by:
    `setMQPMO_LOGICAL_ORDER` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_NONE

    public void setMQPMO_NONE(boolean bSet)

  Set or unset the MGC.MQPMO_NONE option.

  Specified by:
    `setMQPMO_NONE` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_PASS_IDENTITY_CONTEXT

    public void setMQPMO_PASS_IDENTITY_CONTEXT(boolean bSet)

  Set or unset the MGC.MQPMO_PASS_IDENTITY_CONTEXT option.

  Specified by:
    `setMQPMO_PASS_IDENTITY_CONTEXT` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

### setMQPMO_PASS_ALL_CONTEXT

    public void setMQPMO_PASS_ALL_CONTEXT(boolean bSet)

  Set or unset the MGC.MQPMO_PASS_ALL_CONTEXT option.

  Specified by:
    `setMQPMO_PASS_ALL_CONTEXT` in interface `IPMO`
  Parameters:
    `bSet` - `true` to set, `false` to unset.
  See Also:
    `MQPutMessageOptions.options`

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.